About Jitterbug Help

ContactUs
Copyright Statements


Contact Us

Enquiries regarding salies, licensing, installation and operation of the plug-in shoud be directed to Dr Kazuo Ishizuka at:

support@hremresearch.com

For questions about the academic manuscript referenced above,please contact Dr Lewys Jones at:

lewys.jones@materials.ox.ac.uk


Copyright Statements

© Copyright 2015 HREM Research Inc.

All rights reserved. This manual is protected by international copyright laws and treaties.
Unauthorized reproduction and distribution of this manual, or any portion of it, will be
prosecuted to the maximum extent possible and may result in severe civil and criminal penalties.

DigitalMicrograph is a trade mark of Gatan Inc.


Quick Reference Guide

The Main Menu

Jitterbug is controlled from a single main menu within DigitalMicrograph.

The commands in the Jitterbug menu are described below.

Command | Description
Identify Peaks (see sub menus) | Identifies image intensity peaks (atomic columns) automatically, and then allows Remove/Add peaks manually using the HREM mouse.
Compensate Scan Noise…
 | Runs horizontal/vertical scan noise restoration
Set Base Vectors | It allows defining manually the base vectors on an image.
Image Distortion Correction…
 | Runs Drift Restoration using the Base vector information
Quantify Image Properties…
 | Image properties (resolution, SNR and SBR) will be evaluated.
Correct Second Signal (see sub menus) | Used to copy diagnosed scan-noise from one image to another e.g. from ADF to ABF.
Correct SI Data (see sub menus) | Used to copy diagnosed scan-noise from one image to a spectral volume e.g. from ADF to EELS SI.
Diagnose Instability Frequencies
 | Shows noise frequency profile.
Remove Translation Info | Removes saved scan-noise diagnosis metadata to reduce file size for saving.
Settings… | Some parameters will be altered here.


Identify Peaks SubMenu

Component | Description
Find Peaks… | Identifies image intensity peaks (atomic columns) automatically
Remove Peaks | Removes peaks manually selected by using the HREM mouse. (Launch this command after placing the mouse selections.)
Add Peaks | Adds peaks manually selected by using the HREM mouse. (Launch this command after placing the mouse selections.)


Identify Peaks Dialog

The components of the dialog are described below.

Dialog

Component | Description
Peak size | There are two options: a fixed peak size or a range of values is tested. If there is a Rectangular ROI, its size will be shown in the box as a fixed peak size.


Compensate Scan Noise Dialog

Control Tab

For a normal 2D image

For a Time Series (3D image)

Component | Description
Horizontal (fast-scan direction) compensation
 | If checked, restoration along horizontal direction will be done.
Number of iterations | Specifies a number of iterations of horizontal restoration.
Peak regions only | Switches between whole pixels (area) or the pixels within each peak area.
Vertical (slow-scan direction) compensation
 | If checked, restoration along vertical direction will be done.
Keep translation info | If checked, scan-noise diagnosis is stored to be used for correction of a second image or for SI data.
Time Series: Show corrected stacked image
 | If checked, a corrected individual frames will be shown as a stacked image, as well as the averaged image after scan noise correction.

Display Tab

Component | Description
Horizontal shift
2D | If checked, a 2D map of horizontal shift at each pixel will be displayed in a separate window.
Histogram | If checked, a histogram of horizontal shifts will be displayed in a separate window.
Vertical shift (Before Horizontal)
2D | If checked, a 2D map of vertical shift (before horizontal compensation) at each pixel will be displayed in a separate window.
Histogram | If checked, a histogram of vertical shifts (before horizontal compensation) will be displayed in a separate window.
Vertical shift (After Horizontal)
2D | If checked, a 2D map of vertical shift (after horizontal compensation) at each pixel will be displayed in a separate window.
Histogram | If checked, a histogram of vertical shifts (after horizontal compensation) will be displayed in a separate window.


Image Distortion Correction Dialog

Dialog

Component | Description
Vector 1
Length | Length of the vector 1. Measured value (current value) is shown in the parenthesis. You can specify the Target value.
Angle | Angle of the vector 1. Measured value (current value) is shown in the parenthesis. You can specify the Target value.
Vector 2: same as Vector 1
Perform Correction | If checked, information necessary to correct distortion is estimated, and an image corrected for distortion will be created. If not checked, estimated distortion information is out put in the Results window.
Crop Image | If checked, a rectangular part is extracted from the distortion corrected image.


Quantify Image Properties Dialog

Dialog

Component | Description
Resolution | If checked, resolution (peak size) will be estimated for various directions.
Analyze | Averaged Peak: Averaged peak profile is analyzed. Peaks Simultaneously: Each peak is simultaneously analyzed for each direction. Peaks Separately: Each peak is analyzed separately for each direction.
SNR/SBR | If checked, SNR (signal-to-noise ratio) and SBR (signal-to-background ratio) will be estimated.


Correct Second Signal SubMenu

Component | Description
Scan Noise... | Used to copy the scan-noise correction from the reference signal image to a target signal image.
Image Distortion... | Used to copy the image-distortion correction from the reference signal image to a target signal image.

Scan Noise Dialog Image Distortion Dialog

Dialog

Component | Description
Reference signal | Select the image with the stored scan-noise diagnosis.
Target signal | Select the new image to be corrected.


Correct SI Data SubMenu

Component | Description
Scan Noise... | Used to copy the scan-noise correction from the reference signal image to a target SI image.
Image Distortion... | Used to copy the image-distortion correction from the reference signal image to a target SI image.

Scan Noise Dialog Image Distortion Dialog

Dialog

Component | Description
Reference signal | Select the image with the stored scan-noise diagnosis.
Target signal | Select the spectrum image to be corrected.
Trim frames | If checked, will extract and correct only a subset of the energy channels. Can be useful to reduce processing time if only one part of the spectrum is wanted.
First frame | The first channel to use when trimming.
Last frame | The last channel to use when trimming.


Settings Dialog

Dialog

Component | Description
Fast-scan Line Smoothness Parameter | This parameter will control the smoothness of an estimate of the horizontal (fast-scan) noise offsets. In most cases the ‘Normal’ smoothing strength is sufficient, while the user can enter a custom number.
Image Quantification
SNR and SBR:
Number of Survey Line Profiles per Direction:
 | Number of line profile with the high peak density to be analyzed. Four (4) directions (two base-vectors, and their sum and difference directions) will be surveyed.
Resolution:
Number of Survey Features (Peaks)
 | Number of peaks used to estimate resolution (peak width)
Diagnose Instability Frequencies
Pixel dwell time | The pixel dwell time will be used to calculate the highest frequency.
Number of iterations | Instability frequencies will be estimated after the specified cycles of horizontal restoration.
Bright field | If checked, a bright field image can be analyzed.